package com.ads.cal.calculator.utils;

import android.util.Log;

public class LogUtils {
    private static boolean consoleLoggingEnabled = true;

    public static void setConsoleLoggingEnabled(boolean enabled) {
        consoleLoggingEnabled = enabled;
    }

    public static void log(String message) {
        log("AAAAA", message);
    }

    public static void log(String tag, String message) {
        if (consoleLoggingEnabled) {
            printToConsole(tag, message);
        }
    }

    private static void printToConsole(String tag, String logMessage) {
        Log.d(tag, logMessage);
    }

}
